%define dist .fc14.gp

Name:		mock-ghiapet
Version:	14.0
Release:	1%{?dist}
Summary:	Mock config files for the GhiaPet Repository

Group:		Development/Tools
License:	BSD
URL:		http://www.ghiapet.net/
# Source0:	%{name}-%{version}.tar.gz
# Source0:	fedora-9-i386-ghiapet.cfg
Source1:	fedora-10-i386-ghiapet.cfg
Source2:	fedora-10-x86_64-ghiapet.cfg
Source3:	fedora-11-i386-ghiapet.cfg
Source4:	fedora-11-x86_64-ghiapet.cfg
Source5:	fedora-12-i386-ghiapet.cfg
Source6:	fedora-12-x86_64-ghiapet.cfg
Source7:	fedora-13-i386-ghiapet.cfg
Source8:	fedora-13-x86_64-ghiapet.cfg
Source9:	fedora-13-i386-ghiapet-local.cfg
Source10:	fedora-13-x86_64-ghiapet-local.cfg
Source11:	fedora-14-i386-ghiapet.cfg
Source12:	fedora-14-x86_64-ghiapet.cfg
Source13:	fedora-14-i386-ghiapet-local.cfg
Source14:	fedora-14-x86_64-ghiapet-local.cfg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	mock

%description
Mock config files for the GhiaPet Repository


%prep
%setup -cT
# cp -p %{SOURCE0} ./
cp -p %{SOURCE1} ./
cp -p %{SOURCE2} ./
cp -p %{SOURCE3} ./
cp -p %{SOURCE4} ./
cp -p %{SOURCE5} ./
cp -p %{SOURCE6} ./
cp -p %{SOURCE7} ./
cp -p %{SOURCE8} ./
cp -p %{SOURCE9} ./
cp -p %{SOURCE10} ./
cp -p %{SOURCE11} ./
cp -p %{SOURCE12} ./
cp -p %{SOURCE13} ./
cp -p %{SOURCE14} ./

%build
#Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mock
install -pm 0644 *.cfg $RPM_BUILD_ROOT%{_sysconfdir}/mock


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mock/*-ghiapet*.cfg


%changelog
* Tue Nov 30 2010 J. Randall Owens <jrowens@ghiapet.net> - 14.0-1
- Update for GhiaPet/Fedora 14

* Tue Jun 15 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-2
- create extra local target for using repo mirrors

* Mon Jan 18 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-2
- Use individual files instead of tarball for easier maintenance

* Tue Dec 29 2009 J. Randall Owens <jrowens@ghiapet.net> - 11.0-1
- adapt for GhiaPet use

* Wed Sep  2 2009 kwizart < kwizart at gmail.com > - 11.1-1
- Sync epel 4/5 (Moved to koji, removed plague reference)

* Fri Jul 31 2009 kwizart < kwizart at gmail.com > - 11.0-2
- Switch to target i686 on x86 for Rawhide F-12

* Tue May 12 2009 kwizart < kwizart at gmail.com > - 11.0-1
- Branch for F-11

* Wed Mar  4 2009 kwizart < kwizart at gmail.com > - 10.1-1
- Update to 10.1
- Fix Rawhide dist to .f11
- Set Rawhide default target_arch to i586 for x86

* Mon Feb 23 2009 kwizart < kwizart at gmail.com > - 10.0-1
- Bump to 10.0

* Fri Feb 20 2009 kwizart < kwizart at gmail.com > - 0.93-1
- Update to 0.93
- Add need_sign repos (desactivated by default).
- Use the same root as the mother distro.

* Thu Dec 18 2008 kwizart < kwizart at gmail.com > - 0.90-1
- Initial package.

